Subject: CAP (Too much moved to BEEP)

From: Doug Royer <[email-masked]>
Date: Tue, 08 Jan 2002 17:08:22 -0700

Why did CAP data get moved to BEEP?
BEEP is the transport protocol, not the iCalendar data.

Lets put the data back into CAP data. We are
not converting iCalendar to XML in *this* draft.
That is a separate draft, and that's not necessarily
how it will be done in XML. We have had no debate
about namespace, no debate about attributes vs entities,
or how to map properties and parameters into and from XML.
This is not a trivial debate. 

<get-capability>  and others.
should return iCalendar data as specified by this WG
over the last few years (wrapped in BEGIN/END).

I did not see ANY discussion that moved CAP 'DATA' into XML at
this time. In fact the WG did agree that it would be a separate
draft. XML is great. But lets keep the transport semantics out of
the CAP CUA and CAP CS.

WIth BEEP, I can have a generic BEEP server that can transport
anything - and that is its advantage. 

However now by mixing VCALENDAR and XML 'DATA' together, 
the XML parser and DTDa's and other such stuff now must
exists deeper inside the CS and CUA implementation.

THEN - when xml-icalendar (or whatever its called) is debated
and released - then it should be a snap to make CAP+beep understand
xml-icalendar.

I think the BEEP replies can be greatly simplified.
And I think that many of the commands can be simplified.
I may wish to responses to this email before sending out
too many proposals on this issue.

We already MUST have iCalendar parsers. Why put CAP
data in to BEEP commands?